Bug 30531 - Search.t needs update for Recalls
Summary: Search.t needs update for Recalls
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 19532
Blocks: 29734
  Show dependency treegraph
 
Reported: 2022-04-13 15:54 UTC by Nick Clemens
Modified: 2022-06-16 03:21 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
BUg 30531: Add mock of UseRecalls to Search.t (883 bytes, patch)
2022-04-14 11:25 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 30531: Add mock of UseRecalls to Search.t (940 bytes, patch)
2022-04-20 12:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2022-04-13 15:54:01 UTC
The tests complain:
The syspref UseRecalls was requested but I don't know what to say; this indicates that the test requires updating at t/db_dependent/Search.t line 158.
Comment 1 Nick Clemens 2022-04-14 11:25:14 UTC
Created attachment 133302 [details] [review]
BUg 30531: Add mock of UseRecalls to Search.t
Comment 2 Tomás Cohen Arazi 2022-04-20 12:41:38 UTC
Thank you, Nick :-D
Comment 3 Tomás Cohen Arazi 2022-04-20 12:44:01 UTC
Created attachment 133466 [details] [review]
Bug 30531: Add mock of UseRecalls to Search.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Fridolin Somers 2022-04-22 18:53:00 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Victor Grousset/tuxayo 2022-06-16 03:21:14 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.